Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2.impl
Class StrucDocThImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.cdar2.impl.StrucDocThImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, StrucDocTh

    public class StrucDocThImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements StrucDocTh

An implementation of the model object 'Struc Doc Th'.

The following features are implemented:

- `Mixed`
- `Group`
- `Content`
- `Link Html`
- `Sub`
- `Sup`
- `Br`
- `Footnote`
- `Footnote Ref`
- `Render Multi Media`
- `Abbr`
- `Align`
- `Axis`
- `Char`
- `Charoff`
- `Colspan`
- `Headers`
- `ID`
- `Language`
- `Rowspan`
- `Scope`
- `Style Code`
- `Valign`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`java.lang.String` | `getAbbr()`
`AlignType5` | `getAlign()`
`java.lang.String` | `getAxis()`
`org.eclipse.emf.common.util.EList` | `getBr()`
`java.lang.String` | `getChar()`
`java.lang.String` | `getCharoff()`
`java.lang.String` | `getColspan()`
`org.eclipse.emf.common.util.EList` | `getContent()`
`org.eclipse.emf.common.util.EList` | `getFootnote()`
`org.eclipse.emf.common.util.EList` | `getFootnoteRef()`
`org.eclipse.emf.ecore.util.FeatureMap` | `getGroup()`
`java.util.List` | `getHeaders()`
`java.lang.String` | `getID()`
`java.lang.String` | `getLanguage()`
`org.eclipse.emf.common.util.EList` | `getLinkHtml()`
`org.eclipse.emf.ecore.util.FeatureMap` | `getMixed()`
`org.eclipse.emf.common.util.EList` | `getRenderMultiMedia()`
`java.lang.String` | `getRowspan()`
`ScopeType1` | `getScope()`
`java.util.List` | `getStyleCode()`
`org.eclipse.emf.common.util.EList` | `getSub()`
`org.eclipse.emf.common.util.EList` | `getSup()`
`ValignType3` | `getValign()`
`boolean` | `isSetAlign()`
`boolean` | `isSetColspan()`
`boolean` | `isSetRowspan()`
`boolean` | `isSetScope()`
`boolean` | `isSetValign()`
`void` | `setAbbr(java.lang.String newAbbr)`
`void` | `setAlign(AlignType5 newAlign)`
`void` | `setAxis(java.lang.String newAxis)`
`void` | `setChar(java.lang.String newChar)`
`void` | `setCharoff(java.lang.String newCharoff)`
`void` | `setColspan(java.lang.String newColspan)`
`void` | `setHeaders(java.util.List newHeaders)`
`void` | `setID(java.lang.String newID)`
`void` | `setLanguage(java.lang.String newLanguage)`
`void` | `setRowspan(java.lang.String newRowspan)`
`void` | `setScope(ScopeType1 newScope)`
`void` | `setStyleCode(java.util.List newStyleCode)`
`void` | `setValign(ValignType3 newValign)`
`java.lang.String` | `toString()`
`void` | `unsetAlign()`
`void` | `unsetColspan()`
`void` | `unsetRowspan()`
`void` | `unsetScope()`
`void` | `unsetValign()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getMixed

    public org.eclipse.emf.ecore.util.FeatureMap getMixed()

  Specified by:
    `getMixed` in interface `StrucDocTh`
  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `CDAR2Package.getStrucDocTh_Mixed()`

### getGroup

    public org.eclipse.emf.ecore.util.FeatureMap getGroup()

  Specified by:
    `getGroup` in interface `StrucDocTh`
  Returns:
    the value of the 'Group' attribute list.
  See Also:
    `CDAR2Package.getStrucDocTh_Group()`

### getContent

    public org.eclipse.emf.common.util.EList getContent()

  Specified by:
    `getContent` in interface `StrucDocTh`
  Returns:
    the value of the 'Content' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocTh_Content()`

### getLinkHtml

    public org.eclipse.emf.common.util.EList getLinkHtml()

  Specified by:
    `getLinkHtml` in interface `StrucDocTh`
  Returns:
    the value of the 'Link Html' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocTh_LinkHtml()`

### getSub

    public org.eclipse.emf.common.util.EList getSub()

  Specified by:
    `getSub` in interface `StrucDocTh`
  Returns:
    the value of the 'Sub' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocTh_Sub()`

### getSup

    public org.eclipse.emf.common.util.EList getSup()

  Specified by:
    `getSup` in interface `StrucDocTh`
  Returns:
    the value of the 'Sup' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocTh_Sup()`

### getBr

    public org.eclipse.emf.common.util.EList getBr()

  Specified by:
    `getBr` in interface `StrucDocTh`
  Returns:
    the value of the 'Br' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocTh_Br()`

### getFootnote

    public org.eclipse.emf.common.util.EList getFootnote()

  Specified by:
    `getFootnote` in interface `StrucDocTh`
  Returns:
    the value of the 'Footnote' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocTh_Footnote()`

### getFootnoteRef

    public org.eclipse.emf.common.util.EList getFootnoteRef()

  Specified by:
    `getFootnoteRef` in interface `StrucDocTh`
  Returns:
    the value of the 'Footnote Ref' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocTh_FootnoteRef()`

### getRenderMultiMedia

    public org.eclipse.emf.common.util.EList getRenderMultiMedia()

  Specified by:
    `getRenderMultiMedia` in interface `StrucDocTh`
  Returns:
    the value of the 'Render Multi Media' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocTh_RenderMultiMedia()`

### getAbbr

    public java.lang.String getAbbr()

  Specified by:
    `getAbbr` in interface `StrucDocTh`
  Returns:
    the value of the 'Abbr' attribute.
  See Also:
    `StrucDocTh.setAbbr(String)`, `CDAR2Package.getStrucDocTh_Abbr()`

### setAbbr

    public void setAbbr(java.lang.String newAbbr)

  Specified by:
    `setAbbr` in interface `StrucDocTh`
  Parameters:
    `newAbbr` - the new value of the 'Abbr' attribute.
  See Also:
    `StrucDocTh.getAbbr()`

### getAlign

    public AlignType5 getAlign()

  Specified by:
    `getAlign` in interface `StrucDocTh`
  Returns:
    the value of the 'Align' attribute.
  See Also:
    `AlignType5`, `StrucDocTh.isSetAlign()`, `StrucDocTh.unsetAlign()`, `StrucDocTh.setAlign(AlignType5)`, `CDAR2Package.getStrucDocTh_Align()`

### setAlign

    public void setAlign(AlignType5 newAlign)

  Specified by:
    `setAlign` in interface `StrucDocTh`
  Parameters:
    `newAlign` - the new value of the 'Align' attribute.
  See Also:
    `AlignType5`, `StrucDocTh.isSetAlign()`, `StrucDocTh.unsetAlign()`, `StrucDocTh.getAlign()`

### unsetAlign

    public void unsetAlign()

  Specified by:
    `unsetAlign` in interface `StrucDocTh`
  See Also:
    `StrucDocTh.isSetAlign()`, `StrucDocTh.getAlign()`, `StrucDocTh.setAlign(AlignType5)`

### isSetAlign

    public boolean isSetAlign()

  Specified by:
    `isSetAlign` in interface `StrucDocTh`
  Returns:
    whether the value of the 'Align' attribute is set.
  See Also:
    `StrucDocTh.unsetAlign()`, `StrucDocTh.getAlign()`, `StrucDocTh.setAlign(AlignType5)`

### getAxis

    public java.lang.String getAxis()

  Specified by:
    `getAxis` in interface `StrucDocTh`
  Returns:
    the value of the 'Axis' attribute.
  See Also:
    `StrucDocTh.setAxis(String)`, `CDAR2Package.getStrucDocTh_Axis()`

### setAxis

    public void setAxis(java.lang.String newAxis)

  Specified by:
    `setAxis` in interface `StrucDocTh`
  Parameters:
    `newAxis` - the new value of the 'Axis' attribute.
  See Also:
    `StrucDocTh.getAxis()`

### getChar

    public java.lang.String getChar()

  Specified by:
    `getChar` in interface `StrucDocTh`
  Returns:
    the value of the 'Char' attribute.
  See Also:
    `StrucDocTh.setChar(String)`, `CDAR2Package.getStrucDocTh_Char()`

### setChar

    public void setChar(java.lang.String newChar)

  Specified by:
    `setChar` in interface `StrucDocTh`
  Parameters:
    `newChar` - the new value of the 'Char' attribute.
  See Also:
    `StrucDocTh.getChar()`

### getCharoff

    public java.lang.String getCharoff()

  Specified by:
    `getCharoff` in interface `StrucDocTh`
  Returns:
    the value of the 'Charoff' attribute.
  See Also:
    `StrucDocTh.setCharoff(String)`, `CDAR2Package.getStrucDocTh_Charoff()`

### setCharoff

    public void setCharoff(java.lang.String newCharoff)

  Specified by:
    `setCharoff` in interface `StrucDocTh`
  Parameters:
    `newCharoff` - the new value of the 'Charoff' attribute.
  See Also:
    `StrucDocTh.getCharoff()`

### getColspan

    public java.lang.String getColspan()

  Specified by:
    `getColspan` in interface `StrucDocTh`
  Returns:
    the value of the 'Colspan' attribute.
  See Also:
    `StrucDocTh.isSetColspan()`, `StrucDocTh.unsetColspan()`, `StrucDocTh.setColspan(String)`, `CDAR2Package.getStrucDocTh_Colspan()`

### setColspan

    public void setColspan(java.lang.String newColspan)

  Specified by:
    `setColspan` in interface `StrucDocTh`
  Parameters:
    `newColspan` - the new value of the 'Colspan' attribute.
  See Also:
    `StrucDocTh.isSetColspan()`, `StrucDocTh.unsetColspan()`, `StrucDocTh.getColspan()`

### unsetColspan

    public void unsetColspan()

  Specified by:
    `unsetColspan` in interface `StrucDocTh`
  See Also:
    `StrucDocTh.isSetColspan()`, `StrucDocTh.getColspan()`, `StrucDocTh.setColspan(String)`

### isSetColspan

    public boolean isSetColspan()

  Specified by:
    `isSetColspan` in interface `StrucDocTh`
  Returns:
    whether the value of the 'Colspan' attribute is set.
  See Also:
    `StrucDocTh.unsetColspan()`, `StrucDocTh.getColspan()`, `StrucDocTh.setColspan(String)`

### getHeaders

    public java.util.List getHeaders()

  Specified by:
    `getHeaders` in interface `StrucDocTh`
  Returns:
    the value of the 'Headers' attribute.
  See Also:
    `StrucDocTh.setHeaders(List)`, `CDAR2Package.getStrucDocTh_Headers()`

### setHeaders

    public void setHeaders(java.util.List newHeaders)

  Specified by:
    `setHeaders` in interface `StrucDocTh`
  Parameters:
    `newHeaders` - the new value of the 'Headers' attribute.
  See Also:
    `StrucDocTh.getHeaders()`

### getID

    public java.lang.String getID()

  Specified by:
    `getID` in interface `StrucDocTh`
  Returns:
    the value of the 'ID' attribute.
  See Also:
    `StrucDocTh.setID(String)`, `CDAR2Package.getStrucDocTh_ID()`

### setID

    public void setID(java.lang.String newID)

  Specified by:
    `setID` in interface `StrucDocTh`
  Parameters:
    `newID` - the new value of the 'ID' attribute.
  See Also:
    `StrucDocTh.getID()`

### getLanguage

    public java.lang.String getLanguage()

  Specified by:
    `getLanguage` in interface `StrucDocTh`
  Returns:
    the value of the 'Language' attribute.
  See Also:
    `StrucDocTh.setLanguage(String)`, `CDAR2Package.getStrucDocTh_Language()`

### setLanguage

    public void setLanguage(java.lang.String newLanguage)

  Specified by:
    `setLanguage` in interface `StrucDocTh`
  Parameters:
    `newLanguage` - the new value of the 'Language' attribute.
  See Also:
    `StrucDocTh.getLanguage()`

### getRowspan

    public java.lang.String getRowspan()

  Specified by:
    `getRowspan` in interface `StrucDocTh`
  Returns:
    the value of the 'Rowspan' attribute.
  See Also:
    `StrucDocTh.isSetRowspan()`, `StrucDocTh.unsetRowspan()`, `StrucDocTh.setRowspan(String)`, `CDAR2Package.getStrucDocTh_Rowspan()`

### setRowspan

    public void setRowspan(java.lang.String newRowspan)

  Specified by:
    `setRowspan` in interface `StrucDocTh`
  Parameters:
    `newRowspan` - the new value of the 'Rowspan' attribute.
  See Also:
    `StrucDocTh.isSetRowspan()`, `StrucDocTh.unsetRowspan()`, `StrucDocTh.getRowspan()`

### unsetRowspan

    public void unsetRowspan()

  Specified by:
    `unsetRowspan` in interface `StrucDocTh`
  See Also:
    `StrucDocTh.isSetRowspan()`, `StrucDocTh.getRowspan()`, `StrucDocTh.setRowspan(String)`

### isSetRowspan

    public boolean isSetRowspan()

  Specified by:
    `isSetRowspan` in interface `StrucDocTh`
  Returns:
    whether the value of the 'Rowspan' attribute is set.
  See Also:
    `StrucDocTh.unsetRowspan()`, `StrucDocTh.getRowspan()`, `StrucDocTh.setRowspan(String)`

### getScope

    public ScopeType1 getScope()

  Specified by:
    `getScope` in interface `StrucDocTh`
  Returns:
    the value of the 'Scope' attribute.
  See Also:
    `ScopeType1`, `StrucDocTh.isSetScope()`, `StrucDocTh.unsetScope()`, `StrucDocTh.setScope(ScopeType1)`, `CDAR2Package.getStrucDocTh_Scope()`

### setScope

    public void setScope(ScopeType1 newScope)

  Specified by:
    `setScope` in interface `StrucDocTh`
  Parameters:
    `newScope` - the new value of the 'Scope' attribute.
  See Also:
    `ScopeType1`, `StrucDocTh.isSetScope()`, `StrucDocTh.unsetScope()`, `StrucDocTh.getScope()`

### unsetScope

    public void unsetScope()

  Specified by:
    `unsetScope` in interface `StrucDocTh`
  See Also:
    `StrucDocTh.isSetScope()`, `StrucDocTh.getScope()`, `StrucDocTh.setScope(ScopeType1)`

### isSetScope

    public boolean isSetScope()

  Specified by:
    `isSetScope` in interface `StrucDocTh`
  Returns:
    whether the value of the 'Scope' attribute is set.
  See Also:
    `StrucDocTh.unsetScope()`, `StrucDocTh.getScope()`, `StrucDocTh.setScope(ScopeType1)`

### getStyleCode

    public java.util.List getStyleCode()

  Specified by:
    `getStyleCode` in interface `StrucDocTh`
  Returns:
    the value of the 'Style Code' attribute.
  See Also:
    `StrucDocTh.setStyleCode(List)`, `CDAR2Package.getStrucDocTh_StyleCode()`

### setStyleCode

    public void setStyleCode(java.util.List newStyleCode)

  Specified by:
    `setStyleCode` in interface `StrucDocTh`
  Parameters:
    `newStyleCode` - the new value of the 'Style Code' attribute.
  See Also:
    `StrucDocTh.getStyleCode()`

### getValign

    public ValignType3 getValign()

  Specified by:
    `getValign` in interface `StrucDocTh`
  Returns:
    the value of the 'Valign' attribute.
  See Also:
    `ValignType3`, `StrucDocTh.isSetValign()`, `StrucDocTh.unsetValign()`, `StrucDocTh.setValign(ValignType3)`, `CDAR2Package.getStrucDocTh_Valign()`

### setValign

    public void setValign(ValignType3 newValign)

  Specified by:
    `setValign` in interface `StrucDocTh`
  Parameters:
    `newValign` - the new value of the 'Valign' attribute.
  See Also:
    `ValignType3`, `StrucDocTh.isSetValign()`, `StrucDocTh.unsetValign()`, `StrucDocTh.getValign()`

### unsetValign

    public void unsetValign()

  Specified by:
    `unsetValign` in interface `StrucDocTh`
  See Also:
    `StrucDocTh.isSetValign()`, `StrucDocTh.getValign()`, `StrucDocTh.setValign(ValignType3)`

### isSetValign

    public boolean isSetValign()

  Specified by:
    `isSetValign` in interface `StrucDocTh`
  Returns:
    whether the value of the 'Valign' attribute is set.
  See Also:
    `StrucDocTh.unsetValign()`, `StrucDocTh.getValign()`, `StrucDocTh.setValign(ValignType3)`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD